New Page 1

 (c) 2002-2004 TweakNow.com - All rights reserved

Welcome to RAM Idle

RAM Idle is a smart memory management program that will keep your computer running more efficiently, faster, and longer. The program's intelligently manages the free RAM that is available to Windows, and prevents your computer from running progressively slower over time.

The program's System Info capability presents you with detailed information about your system. This data can be instrumental in determining if you have the system requirements to install new hardware or software.

Whether you're a business person who needs to make your computer run more efficiently, a student who enjoys playing a computer game from time to time without degrading the computer's performance when you resume your studying, or a home user who wants to avoid purchasing new hardware by giving your current system a performance tune-up, RAM Idle will help keep your computer running more efficiently.

Minimum Requirement:

  • Microsoft Windows 98/ME/2000/XP.


License

END USER LICENSE AGREEMENT

PLEASE READ THIS END USER LICENSE AGREEMENT ("EULA") BEFORE USING THIS SOFTWARE. BY USING THIS SOFTWARE, YOU ARE AGREEING TO BE BOUND BY THE TERMS OF THIS LICENSE. IF YOU DO NOT AGREE TO THESE TERMS, PROMPTLY CEASE ALL FURTHER INSTALLATION OR USE OF THE SOFTWARE.

PROPRIETARY RIGHTS

This software product is protected by copyright laws and international copyright treaties. All rights not currently granted in this license agreement are reserved entirely to TweakNow.com. This Agreement does not grant you any rights to patents, copyrights, trade secrets, trade names, trademarks, or any other rights, functions or licenses in respect of the Software.

LICENSE

RAM Idle is distributed in two licenses: non-commercial and commercial license. .

  • Non-commercial License: grant the End User to install the Software Product in non-commercial evirontment.

  • Commercial License : grant the Licensed User to install the Software Product on a single computer for commercial or non-commercial use.

DISTRIBUTION

Copies of trial version of RAM Idle may be distributed in accordance to the following terms:

  • The files are distributed in their entirety.
  • No alteration is made to the files, including changing or removing any messages.
  • No charge (other than charges for disk duplication and handling) be made for any redistribution.

If you need more information about the license, please email us at info@tweaknow.com.

LIABILITY

We try to keep our software as bug-free as possible. But it's a general rule that no software ever is error free, and the number of errors increases with the complexity of the program.

TERMINATION

This License shall remain in full force and effect unless and until terminated. This License will terminate immediately, automatically and without notice if LICENSEE fails to comply with any provision of this Agreement.


New Page 1

Email Support

  • For product information or to place an order online, e-mail us at order@tweaknow.com.

  • For technical support, e-mail us at info@tweaknow.com.

Latest News

  • For the latest news of TweakNow RegCleaner, please visit our web site at www.tweaknow.com.


Contact

Product Comparison

Component | TweakNow PowerPack 2005 Professional | TweakNow PowerPack 2005 Standard | TweakNow Accelerator XP | TweakNow WinCleaner XP
Price | 34.95 USD | 24.95 USD | 24.95 USD | 19.95 USD
Supported OS |  |  |  |
Windows XP Professional |  |  |  |
Windows XP Home Edition |  |  |  |
Windows 2000 |  |  |  |
Windows ME |  |  |  |
Windows 98 |  |  |  |
Analyze and Maintain Module |  |  |  |
Configuration Files |  |  |  |
Process Manager |  |  |  |
Special Folders |  |  |  |
Startup Manager |  |  |  |
System Information |  |  |  |
Customize and Optimize Module |  |  |  |
RAM Idle Professional |  |  |  |
System Optimizer |  |  |  |
Windows Enhancement |  |  |  |
Clean and Secure Module |  |  |  |
Internet Explorer Cleaner |  |  |  |
Privacy Protector |  |  |  |
Program Restriction |  |  |  |
Start Menu Cleaner |  |  |  |
TweakNow DiskCleaner |  |  |  |
TweakNow RegCleaner |  |  |  |
Uninstall Applications |  |  |  |
Miscellaneous Tool |  |  |  |
Auto Logon |  |  |  |
Auto Shutdown |  |  |  |
CD Autorun |  |  |  |
Folder Size |  |  |  |
OEM Info |  |  |  |
TweakNow Shortcut |  |  |  |
Virtual Desktop |  |  |  |
Virtual Drive |  |  |  |


RAM Optimizer

RAM Idle

RAM Idle is a smart memory management program that will keep your computer running better, faster, and longer. RAM Idle works by freeing up physical RAM wasted by Windows and other applications. As addition, RAM Idle also includes Cache and startup manager program that will give you more power to optimize your Windows.

No matter how much RAM you have, RAM Idle will help your computer running better, faster, and longer.

Getting Started

To start using RAM Idle:

  1. Click the "Enable" button to start RAM Idle. If everything is OK you should see RAM Idle Icon [image] in the tray area (you can move your cursor over the icon to get current system status).
  2. Click the "More Options" button.
  3. On the Main tabsheet, check the "Start automatically with Windows" checkbox to start RAM Idle Pro automatically when Windows start.

RAM Idle Options

Main Screen

  • Target free RAM
    Defines the amount of RAM that will be recovered when the minimum free ram level is reached. Please note that you should not set the value for this option too high, as instead of getting a better performance, your system will run slower. It is very important to set a correct value for this option.
    Recommended value: 1/4 of total RAM or lower.

  • Minimum free RAM
    Defines the minimum free RAM level. When the available RAM is lower then the minimum free RAM value, RAM Idle will automatically perform the defragmentation and recovery process. Please note that in order to avoid system instability, RAM Idle will only start the defragmentation and recovery process when your computer is not busy.
    Recommended value: 1/16 of total RAM or lower.

More options->Main

  • Start automatically with Windows
    Enable this option to start RAM Idle automatically when Windows start.
    Recommended: enable.

  • Free up X MB of RAM on startup after Y seconds
    When enabled, RAM Idle will automatically recover X MB of RAM at startup.
    Default: disable.

  • Free up X MB every Y minute(s) if free RAM below Z %
    RAM Idle will try to recover X MB of your RAM every Y minutes, only if your CPU Usage is below Z %. Please note that, in this option, RAM Idle will only use the soft recovery methods. This means that RAM Idle will not force Windows to free up the RAM.
    Recommended value: X=2; Y=3; Z=50.

  • Disable the CPU usage detection
    By default RAM Idle will only start the recovery process when the CPU is not busy. However, certain Antivirus or CPU cooling programs may sometimes make the CPU Usage always appear at the 100% level, even though this is not the real value. If your CPU Usage status always remains at the 100% level, make sure that you check this option to tell RAM Idle to ignore your CPU Usage status, otherwise RAM Idle will never have a chance to recover the RAM.
    Recommended: check this option if your CPU Usage always remains at the 100% level.

More options->Tray Icon

  • Tray icon text color
    Use this option to change RAM Idle tray icon text color.
    Default: black.

  • Display "system information" in RAM Idle tray icon

    You can use this option to monitor your system status. There are three items of system information that maybe displayed in the RAM Idle tray icon:

    - Free physical memory.
    - Total CPU usage.
    - System Resources.

    Note: System Resources is only available in Windows 98/ME.

  • Hide RAM Idle tray icon
    Use this option to hide RAM Idle icon from taskbar notification area.
    Default: disable.

More options->Popup Menu

  • Free up ... MB

    Use this feature to manually recover a specified amount of RAM, by selecting a choice from the RAM Idle popup menu.

More options->Others

  • Clear the clipboard when freeing up RAM
    When enabled, RAM Idle will also clear the Windows clipboard while freeing RAM.
    Default: disable.

  • Play alarm sound when freeing up RAM
    When enabled, RAM Idle will play a .wav file before freeing up RAM.
    Default: disable.

  • Free up RAM hot key : Cltr + Alt +
    Use this hotkey to free up as much RAM as possible at a particular time. To disable this feature, simply clear the edit box.
    Default: disable (the edit box is empty).

  • Disable/enable RAM Idle hotkey : Cltr + Alt +
    Use this hotkey to quickly enable/disable RAM Idle. To disable this feature, simply clear the edit box.
    Default: disable (the edit box is empty).


Process Information

System Info

System Information gives you detailed information about your computer, network, and operating system. The information is compiled in eight modules:

  • Windows: shows important information of your Windows and its components.
  • Process: shows all currently running processes (application) in your Windows system..
  • Memory: shows the amount of available physical and virtual memory.